<?php

/**
 * 
 * Migrate the keys that were changed for the intense_shortcode_css option.  
 * For some reson they didn't migrate last time
 *
 */
class Intense_Migration_2_5_1 extends Intense_Migration {
	public function up(){
		parent::up();	

		//Migrate shortcode CSS keys

		$intense_visions_options = get_option( 'intense_visions_options' );	

		foreach ($intense_visions_options['intense_shortcode_css'] as $key => $value) {
			$new_key = str_replace( '_', '-', $key );			
			unset( $intense_visions_options['intense_shortcode_css'][ $key ] );
			$intense_visions_options['intense_shortcode_css'][ $new_key ] = $value;			
		}

		$intense_visions_options['intense_shortcode_css']['animated'] = 1;		

		update_option( 'intense_visions_options', $intense_visions_options );
	}

	public function down() {
		parent::down();		
	}
}
